#include <string.h>
#include <stdio.h>

#include <switch.h>
#include <SDL.h>

SDL_Surface *Video = NULL;


int main(int argc, char **argv)
{
	SDL_Event event;
	SDL_Rect rect;
	int quit = 0;
	rect.x=10;
	rect.y=10;
	rect.w=10;
	rect.h=10;

    if (SDL_Init(SDL_INIT_VIDEO)) return -1;  
 
 	Video = SDL_SetVideoMode (30, 30, 32, SDL_HWSURFACE);
	if (Video == NULL) return -1;

	u8* screen = Video->pixels;
	for(int i=0;i<30*30*4;i++) screen[i]=0xff; 
	SDL_Flip (Video);


	while(!quit)
	{
	    SDL_FillRect(Video, &rect, SDL_MapRGB(Video->format, 255, 255, 0));
		SDL_Flip (Video);

		//Scan all the inputs. This should be done once for each frame
		while (SDL_PollEvent (&event)) {
			switch (event.type) {
				case SDL_KEYDOWN:
					switch (event.key.keysym.sym) {
						case SDLK_a:
							quit = 1;
							break;
						default:
							break;
					}
					break;

				case SDL_QUIT:
					quit =1;
					break;
			}
		}
	}


	return 0;
}

